/**
 *  Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License"). You may not use this file except in compliance
 *  with the License. A copy of the License is located at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  or in the 'license' file accompanying this file. This file is distributed on an 'AS IS' BASIS, WITHOUT WARRANTIES
 *  OR CONDITIONS OF ANY KIND, express or implied. See the License for the specific language governing permissions
 *  and limitations under the License.
 */
import { aws_lambda as lambda } from 'aws-cdk-lib';
import * as s3 from 'aws-cdk-lib/aws-s3';
import { Construct } from 'constructs';
/**
 * Properties for creating a BdaBlueprintLambda
 */
export interface BdaResultsLambdaProps {
    /**
     * The layers to apply to this lambda function.
     */
    readonly lambdaLayers: lambda.ILayerVersion[];
    /**
       * The S3 bucket
       * Output bucket to publish the generated result
       * by Bedrock Data Automation process.
       */
    readonly outputBucket: s3.IBucket;
}
/**
 * Lambda function that manages BDA results
 */
export declare class BdaResultsambda extends lambda.Function {
    constructor(scope: Construct, id: string, props: BdaResultsLambdaProps);
}
